ClarisWksStyleManager::CellFormat Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksStyleManager::CellFormat Struct Reference

the CELL structure a structure related to number/date format More...

`#include <ClarisWksStyleManager.hxx>`

Inheritance diagram for ClarisWksStyleManager::CellFormat:

## Public Member Functions
| CellFormat (MWAWCell::Format const &format=MWAWCell::Format())
| constructor from cell More...
Public Member Functions inherited from MWAWCell::Format
| Format ()
| constructor More...
virtual | ~Format ()
| destructor More...
bool | hasBasicFormat () const
| returns true if this is a basic format style More...
std::string | getValueType () const
| returns a value type More...
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the numbering style More...
int | compare (Format const &format) const
| a comparison function More...

## Public Attributes
MWAWCell::HorizontalAlignment | m_hAlign
| the cell alignment : by default nothing More...
int | m_fileFormat
| the field format: number, string, currency, .. More...
int | m_borders
| the borders More...
bool | m_wrap
| true if the cell content is wrapped More...
std::string | m_extra
| extra data More...
Public Attributes inherited from MWAWCell::Format
FormatType | m_format
| the cell format : by default unknown More...
NumberType | m_numberFormat
| the numeric format More...
int | m_digits
| the number of digits More...
int | m_integerDigits
| the number of main digits More...
int | m_numeratorDigits
| the number of numerator digits More...
int | m_denominatorDigits
| the number of denominator digits More...
bool | m_thousandHasSeparator
| true if we must separate the thousand More...
bool | m_parenthesesForNegative
| true if we use parenthese to print negative number More...
std::string | m_currencySymbol
| the currency symbol ( default '$') More...
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format ) More...

## Friends
std::ostream & | operator<< (std::ostream &o, CellFormat const &form)
| operator<< More...

## Additional Inherited Members
Static Public Member Functions inherited from MWAWCell::Format
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList More...

## Detailed Description

the CELL structure a structure related to number/date format

## Constructor & Destructor Documentation

ClarisWksStyleManager::CellFormat::CellFormat | ( | MWAWCell::Format const & | format = `MWAWCell::Format()` | ) |
| inline

constructor from cell

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::CellFormat const & | form
| ) |  |
| friend

operator<<

## Member Data Documentation

int ClarisWksStyleManager::CellFormat::m_borders

the borders

Referenced by operator<<(), ClarisWksStyleManager::readCellStyles(), and ClarisWksDbaseContent::readRecordSS().

std::string ClarisWksStyleManager::CellFormat::m_extra

extra data

Referenced by operator<<(), and ClarisWksStyleManager::readCellStyles().

int ClarisWksStyleManager::CellFormat::m_fileFormat

the field format: number, string, currency, ..

Referenced by ClarisWksDbaseContent::get(), operator<<(), ClarisWksStyleManager::readCellStyles(), ClarisWksDbaseContent::readRecordSS(), and ClarisWksDbaseContent::send().

MWAWCell::HorizontalAlignment ClarisWksStyleManager::CellFormat::m_hAlign

the cell alignment : by default nothing

Referenced by ClarisWksDbaseContent::get(), ClarisWksStyleManager::readCellStyles(), and ClarisWksDbaseContent::readRecordSS().

bool ClarisWksStyleManager::CellFormat::m_wrap

true if the cell content is wrapped

Referenced by operator<<(), and ClarisWksStyleManager::readCellStyles().

The documentation for this struct was generated from the following file:

- ClarisWksStyleManager.hxx